package org.springblade.audit.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.audit.entity.IntFzzDiscount;
import org.springblade.audit.mapper.IntFzzDiscountMapper;
import org.springblade.audit.service.IIntFzzDiscountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 400扣罚明细表 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-12-06
 */
@Service
@DS("oracle143")
public class IntFzzDiscountServiceImpl extends ServiceImpl<IntFzzDiscountMapper, IntFzzDiscount> implements IIntFzzDiscountService {

	@Autowired
	private IntFzzDiscountMapper intFzzDiscountMapper;

	@Override
	public void giveTheMonthSoul() {
		intFzzDiscountMapper.giveTheMonthSoul();
	}

	@Override
	public void editSpCode(String theMonth) {
		intFzzDiscountMapper.editSpCode(theMonth);
	}

	@Override
	public void giveSpidSoul(String theMonth) {
		intFzzDiscountMapper.giveSpidSoul(theMonth);
	}

	@Override
	public void giveSpidSoulTwo(String theMonth) {
		intFzzDiscountMapper.giveSpidSoulTwo(theMonth);
	}

	@Override
	public void settingFileTag(String theMonth) {
		intFzzDiscountMapper.settingFileTag(theMonth);
	}

	@Override
	public void removeEmptyData(String theMonth) {
		intFzzDiscountMapper.removeEmptyData(theMonth);
	}
}
